Subject: Bug#1312: I also experience this bug.

From: <[email-masked]>
Date: Sun, 5 Aug 2018 23:58:50 +0200 (CEST)

Hello,

i can confirm this.
I updated x2goserver (not sure exactly, but at latest from 4.1.0.0-0~1517~ubuntu16.04.1       <https://launchpad.net/~x2go/+archive/ubuntu/stable/+sourcepub/8829889/+listing-archive-extra> )

to "x2goserver 4.1.0.2-0~1642~ubuntu16.04.1                              " from the stable ppa today on a Xubuntu 16.04.4 system and afterwards the Qt application qbittorrent, which remained unchanged during the update, no longer started and gave this error:

----------------------------------------------------------------------------------------------------------

The X11 connection broke: Maximum allowed requested length exceeded (code 4)
XIO:  fatal IO error 22 (Invalid argument) on X server ":50.0"
      after 428 requests (424 known processed) with 0 events remaining.

----------------------------------------------------------------------------------------------------------

I took this as an opportunity to update to Xubuntu 18.04.1.

After that the same error showed up with "x2goserver 4.1.0.2-0~1642~ubuntu18.04.1".

Other programs like Firefox and Thunderbird are working.

Regards,

Reggie